# NOTE:
# track releases here: https://github.com/jwplayer/jwplayer/releases
Summary:	Flash Video Player for FLV, H.264/MPEG-4, MP3 and YouTube Videos on your website
Summary(pl.UTF-8):	Odtwarzacz JW Media
Name:		jwplayer7
Version:	7.2.4
Release:	1
License:	CC 3.0
Group:		Applications/WWW
Source0:	https://ssl.p.jwpcdn.com/player/download/jwplayer-%{version}.zip
# Source0-md5:	d447b9c6e6213a223f51c2a170a771ee
Source2:	lighttpd.conf
Source3:	apache.conf
URL:		http://www.jwplayer.com/about-jwplayer/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	webapps
Requires:	webserver(alias)
Obsoletes:	flash_media_player
Obsoletes:	jw_media_player
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir	%{_datadir}/%{_webapp}

%description
The JW Media Player (built with Adobe's Flash) supports playback of a
single media file of any format the Adobe Flash Player can handle
(MP3, FLV, SWF, JPG, PNG and GIF). It also supports RSS, XSPF and ATOM
playlist (with mixed mediatypes and advertisement possibilities), a
wide range of flashvars (settings) for tweaking both behavior and
appearance and an extensive, documented JavaScript/ActionScript API.

%description -l pl.UTF-8
JW Media Player (zbudowany z Flashem Adobe) potrafi odtwarzać pliki
multimedialne dowolnego typu obsługiwanego przez Adobe Flash Player
(MP3, FLV, SWF, JPG, PNG i GIF). Obsługuje także playlisty
RSS/XSPF/ATOM (z mieszanymi typami mediów), szeroki zakres ustawień do
modyfikowania zarówno zachowania jak i wyglądu oraz obszerne,
udokumentowane API JavaScriptu/ActionScriptu.

%prep
%setup -q -n jwplayer-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}
cp -p *.swf *.js $RPM_BUILD_ROOT%{_appdir}
cp -a skins $RPM_BUILD_ROOT%{_appdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p $RPM_BUILD_ROOT%{_sysconfdir}/{apache,httpd}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%dir %{_appdir}
%{_appdir}/jwplayer.js
%{_appdir}/polyfills.base64.js
%{_appdir}/polyfills.promise.js
%{_appdir}/provider.cast.js
%{_appdir}/provider.shaka.js
%{_appdir}/provider.youtube.js
%{_appdir}/jwplayer.flash.swf

%dir %{_appdir}/skins
%{_appdir}/skins/beelden.css
%{_appdir}/skins/bekle.css
%{_appdir}/skins/five.css
%{_appdir}/skins/glow.css
%{_appdir}/skins/roundster.css
%{_appdir}/skins/seven.css
%{_appdir}/skins/six.css
%{_appdir}/skins/stormtrooper.css
%{_appdir}/skins/vapor.css
%changelog
* Tue Jan 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jwplayer7.git;a=log;h=AC-branch

* Tue Jan 12 2016 Elan Ruusamäe <glen@delfi.ee> 19ce3c9
- up to 7.2.4

* Fri Dec 11 2015 Elan Ruusamäe <glen@delfi.ee> 2e7dba0
- up to 7.2.3

* Mon Nov 23 2015 Elan Ruusamäe <glen@delfi.ee> 685371b
- up to 7.2.2

* Thu Oct 08 2015 Elan Ruusamäe <glen@delfi.ee> 9e3fc2e
- up to 7.1.4

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> 344d2aa
- jwplayer 7.x series

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> fb52aa3
- up to 6.12

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> b6d936c
- up to 6.11

* Thu Nov 20 2014 Elan Ruusamäe <glen@delfi.ee> 35e60aa
- add link to sourcecode

* Mon Jul 14 2014 Elan Ruusamäe <glen@delfi.ee> 8d7cbbd
- fix packaging

* Mon Jul 14 2014 Elan Ruusamäe <glen@delfi.ee> e2b85b3
- up to 6.9

* Wed Jul 09 2014 Elan Ruusamäe <glen@delfi.ee> 5f8db32
- package missing dir

* Tue Jul 08 2014 Elan Ruusamäe <glen@delfi.ee> 83cc1b4
- add apache config

* Tue Jul 08 2014 Elan Ruusamäe <glen@delfi.ee> 1126a9d
- package free skins

* Tue Jul 08 2014 Elan Ruusamäe <glen@delfi.ee> 73a3c0b
- renamed to jwplayer, version 6.8

* Mon Aug 30 2010 Elan Ruusamäe <glen@pld-linux.org> e87e158
- up to 5.2

* Sun May 16 2010 sparky <sparky@pld-linux.org> fcd266e
- BR: unzip

* Sun Jun 08 2008 Elan Ruusamäe <glen@pld-linux.org> d6ef2fe
- 3.16

* Wed Sep 05 2007 Elan Ruusamäe <glen@pld-linux.org> 88d3886
- updated to 3.11 (NOTE: 3.99 was renamed to 3.10)

* Fri Aug 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 5aee236
- updated pl, unified caps

* Wed Jul 25 2007 Elan Ruusamäe <glen@pld-linux.org> 2162145
- rel 1

